Other Classes: Class IndentPrinter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Class IndentPrinter

    java.lang.Object
      |
      +--org.apache.xml.serialize.Printer
            |
            +--org.apache.xml.serialize.IndentPrinter

Deprecated. This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML. See the Xerces documentation for more information.

public class IndentPrinter
extends Printer

Extends `Printer` and adds support for indentation and line wrapping.

Version:
  $Revision: 699892 $ $Date: 2008-09-29 02:38:27 +0530 (Mon, 29 Sep 2008) $
Author:
  Assaf Arkin

Fields inherited from class org.apache.xml.serialize.Printer
`_docWriter, _dtdWriter, _exception, _format, _writer`

Constructor Summary
`IndentPrinter(java.io.Writer writer, OutputFormat format)` Deprecated.

Method Summary
`void` | `breakLine()` Deprecated. Called to print a line consisting of the text accumulated so far.
`void` | `breakLine(boolean preserveSpace)` Deprecated.
`void` | `enterDTD()` Deprecated. Called by any of the DTD handlers to enter DTD mode.
`void` | `flush()` Deprecated. Flush the output stream.
`void` | `flushLine(boolean preserveSpace)` Deprecated. Flushes the line accumulated so far to the writer and get ready to accumulate the next line.
`int` | `getNextIndent()` Deprecated.
`void` | `indent()` Deprecated. Increment the indentation for the next line.
`java.lang.String` | `leaveDTD()` Deprecated. Called by the root element to leave DTD mode and if any DTD parts were printer, will return a string with their textual content.
`void` | `printSpace()` Deprecated. Called to print a single space between text parts that may be broken into separate lines.
`void` | `printText(char ch)` Deprecated.
`void` | `printText(char[] chars, int start, int length)` Deprecated.
`void` | `printText(java.lang.String text)` Deprecated. Called to print additional text.
`void` | `printText(java.lang.StringBuffer text)` Deprecated.
`void` | `setNextIndent(int indent)` Deprecated.
`void` | `setThisIndent(int indent)` Deprecated.
`void` | `unindent()` Deprecated. Decrement the indentation for the next line.

Methods inherited from class org.apache.xml.serialize.Printer
`getException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndentPrinter

    public IndentPrinter(java.io.Writer writer,
                         OutputFormat format)

  Deprecated.

Method Detail

### enterDTD

    public void enterDTD()

  Deprecated.
  Called by any of the DTD handlers to enter DTD mode. Once entered, all output will be accumulated in a string that can be printed as part of the document's DTD. This method may be called any number of time but will only have affect the first time it's called. To exist DTD state and get the accumulated DTD, call `leaveDTD()`.
  Overrides:
    `enterDTD` in class `Printer`

### leaveDTD

    public java.lang.String leaveDTD()

  Deprecated.
  Called by the root element to leave DTD mode and if any DTD parts were printer, will return a string with their textual content.
  Overrides:
    `leaveDTD` in class `Printer`

### printText

    public void printText(java.lang.String text)

  Deprecated.
  Called to print additional text. Each time this method is called it accumulates more text. When a space is printed (`printSpace()`) all the accumulated text becomes one part and is added to the accumulate line. When a line is long enough, it can be broken at its text boundary.
  Overrides:
    `printText` in class `Printer`
  Parameters:
    `text` - The text to print

### printText

    public void printText(java.lang.StringBuffer text)

  Deprecated.
  Overrides:
    `printText` in class `Printer`

### printText

    public void printText(char ch)

  Deprecated.
  Overrides:
    `printText` in class `Printer`

### printText

    public void printText(char[] chars,
                          int start,
                          int length)

  Deprecated.
  Overrides:
    `printText` in class `Printer`

### printSpace

    public void printSpace()

  Deprecated.
  Called to print a single space between text parts that may be broken into separate lines. Must not be called to print a space when preserving spaces. The text accumulated so far with `printText(java.lang.String)` will be added to the accumulated line, and a space separator will be counted. If the line accumulated so far is long enough, it will be printed.
  Overrides:
    `printSpace` in class `Printer`

### breakLine

    public void breakLine()

  Deprecated.
  Called to print a line consisting of the text accumulated so far. This is equivalent to calling `printSpace()` but forcing the line to print and starting a new line (`printSpace()` will only start a new line if the current line is long enough).
  Overrides:
    `breakLine` in class `Printer`

### breakLine

    public void breakLine(boolean preserveSpace)

  Deprecated.
  Overrides:
    `breakLine` in class `Printer`

### flushLine

    public void flushLine(boolean preserveSpace)

  Deprecated.
  Flushes the line accumulated so far to the writer and get ready to accumulate the next line. This method is called by `printText(java.lang.String)` and `printSpace()` when the accumulated line plus accumulated text are two long to fit on a given line. At the end of this method _line is empty and _spaces is zero.
  Overrides:
    `flushLine` in class `Printer`

### flush

    public void flush()

  Deprecated.
  Flush the output stream. Must be called when done printing the document, otherwise some text might be buffered.
  Overrides:
    `flush` in class `Printer`

### indent

    public void indent()

  Deprecated.
  Increment the indentation for the next line.
  Overrides:
    `indent` in class `Printer`

### unindent

    public void unindent()

  Deprecated.
  Decrement the indentation for the next line.
  Overrides:
    `unindent` in class `Printer`

### getNextIndent

    public int getNextIndent()

  Deprecated.
  Overrides:
    `getNextIndent` in class `Printer`

### setNextIndent

    public void setNextIndent(int indent)

  Deprecated.
  Overrides:
    `setNextIndent` in class `Printer`

### setThisIndent

    public void setThisIndent(int indent)

  Deprecated.
  Overrides:
    `setThisIndent` in class `Printer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2018 The Apache Software Foundation. All Rights Reserved.